Bug 1335442 (CVE-2016-4963, xsa178) - CVE-2016-4963 xsa178 xen: Unsanitised driver domain input in libxl device handling (XSA-178)
Summary: CVE-2016-4963 xsa178 xen: Unsanitised driver domain input in libxl device han...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-4963, xsa178
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1342131
Blocks: 1335444
TreeView+ depends on / blocked
 
Reported: 2016-05-12 08:51 UTC by Adam Mariš
Modified: 2021-02-17 03:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:51:46 UTC


Attachments (Terms of Use)
Set of patches (80.00 KB, application/octet-stream)
2016-05-12 09:07 UTC, Adam Mariš
no flags Details
Patch set (70.00 KB, application/octet-stream)
2016-05-24 13:25 UTC, Adam Mariš
no flags Details

Description Adam Mariš 2016-05-12 08:51:12 UTC
ISSUE DESCRIPTION
=================

libxl's device-handling code freely uses and trusts information from
the backend directories in xenstore.

The backend domain (driver domain) can store bogus data in the
backend, causing libxl's enquiry functions to fail, confusing
management tools.

A driver domain can also remove its backend directory from xenstore
entirely, preventing the device from showing up in device listings and
preventing it from being removed and replaced.

A driver domain can cause libxl to generate disk eject events for
disks for which the driver domain is not responsible.

IMPACT
======

A malicious driver domain can deny service to management tools.

VULNERABLE SYSTEMS
==================

This vulnerability is only applicable to systems which are using
driver domains, and then only where the driver domain is not intended
to be fully trusted with respect to the host.

Such Xen systems using libxl based toolstacks (for example xl or
libvirt with the libxl driver) are vulnerable.

Note that even with this vulnerability a driver domain based system is
better from a security point of view, than a system where devices are
provided directly by dom0.  Users and vendors of systems using driver
domains should not change their configuration.

All versions of libxl which support the relevant driver domains are
vulnerable.

MITIGATION
==========

No mitigation is available.

External References:

http://xenbits.xen.org/xsa/advisory-178.html

Acknowledgements:

Name: the Xen project

Comment 1 Adam Mariš 2016-05-12 09:07:55 UTC
Created attachment 1156570 [details]
Set of patches

Comment 2 Adam Mariš 2016-05-24 13:25:16 UTC
Created attachment 1161045 [details]
Patch set

Certain patches were dropped from the patch set as they're not needed for fixing this issue.

Comment 3 Adam Mariš 2016-06-02 13:41:26 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1342131]

Comment 4 Fedora Update System 2016-06-17 15:57:25 UTC
xen-4.5.3-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-18 18:44:04 UTC
xen-4.6.1-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.